Download it now!
Bug 130840 - UI Create a better Help/UX for "Tracking Changes" mode; explaining limitations/what works
Summary: UI Create a better Help/UX for "Tracking Changes" mode; explaining limitation...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 137579 (view as bug list)
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2020-02-21 13:41 UTC by stdedos
Modified: 2020-10-19 07:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stdedos 2020-02-21 13:41:22 UTC
Description:
Continuing from https://bugs.documentfoundation.org/show_bug.cgi?id=130838

Can you:

A) not hide options from here they are supposed to be
B) add a tooltip "disabled because X"
C) add a "tracking changes" status icon

It is enough disorienting that different Spreadsheet programs might have different options in different places; it is painful to hide some of them with no apparent reason.

Actual Results:
 

Expected Results:
 


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 Heiko Tietze 2020-02-24 08:06:23 UTC
You summary is very generic and not actionable. Unfortunately I also cannot follow your list of improvement ideas. We have a couple of enhancement requests with keyword UX:

bug 34355 	Option to show track changes in margin is missing  
bug 87695 	SIDEBAR: Improvements to new track changes sidebar tab  
bug 67129 	When turning OFF Record Changes in Calc, LibrOffice loses all previously recorded changes  
bug 115515 	Manage changes dialog should allow action on all filtered changes  
bug 111852 	incremented fields are incorrect when tracking changes 

Some time ago the design team came up with a mockup how TC could work via sidebar https://design.blog.documentfoundation.org/2015/02/19/tracking-changes-with-libreoffice/. To some extend it's implemented (you have to enable the experimental features). See also

bug 87695 	SIDEBAR: Improvements to new track changes sidebar tab
Comment 2 stdedos 2020-02-24 09:01:11 UTC
(In reply to Heiko Tietze from comment #1)
> You summary is very generic and not actionable. Unfortunately I also cannot
> follow your list of improvement ideas. We have a couple of enhancement
> requests with keyword UX:
> 
> bug 34355 	Option to show track changes in margin is missing  
> bug 87695 	SIDEBAR: Improvements to new track changes sidebar tab  
> bug 67129 	When turning OFF Record Changes in Calc, LibrOffice loses all
> previously recorded changes  
> bug 115515 	Manage changes dialog should allow action on all filtered
> changes  
> bug 111852 	incremented fields are incorrect when tracking changes 
> 
> Some time ago the design team came up with a mockup how TC could work via
> sidebar
> https://design.blog.documentfoundation.org/2015/02/19/tracking-changes-with-
> libreoffice/. To some extend it's implemented (you have to enable the
> experimental features). See also
> 
> bug 87695 	SIDEBAR: Improvements to new track changes sidebar tab

I don't understand what is so complicated. I am trying to keep the requested feature / "bug" fixes short and descriptive as possible.

Let me rephrase this:

> Can you:
> 
> A) not hide options from here they are supposed to be
> B) add a tooltip "disabled because X"
> C) add a "tracking changes" status icon
> 
> It is enough disorienting that different Spreadsheet programs might have different options in different places; it is painful to hide some of them with no apparent reason.

into your template (I think it does not apply cleanly, but everyone on this bugtracker somehow complains about it).

Description:
Continuing from https://bugs.documentfoundation.org/show_bug.cgi?id=130838

When 'Tracking Changes' is activated ... 

Expected Results:
A) All disabled operations are still visible wherever they are supposed to be
B) All disabled operations have some indication/explanation on "why" they are disabled
C) There is a status icon showing that tracking changes are activated

Actual Results:
A) All disabled operations are magically missing or disabled
A) All disabled operations have no indication/explanation on "why" they are disabled
C) There is absolutely no indication that tracking changes are activated (Except if you look for it, or go to Document properties). Also, I am claiming https://bugs.documentfoundation.org/show_bug.cgi?id=130843 this bug, so it feels impossible to even read the `xlsx` archive and discover that.

----------

Does that sound more actionable now?
Comment 3 Heiko Tietze 2020-02-24 09:07:28 UTC
(In reply to stdedos from comment #2)
> When 'Tracking Changes' is activated ... 
> 
> Expected Results:
> A) All disabled operations are still visible wherever they are supposed to be

What "operations" exactly are disabled? Maybe an example is helpful.

> B) All disabled operations have some indication/explanation on "why" they
> are disabled

Is this idea limited to TC?

> C) There is a status icon showing that tracking changes are activated

Agreed, should be also indicated on the statusbar. However, you see TC toggled on in the dedicated toolbar and unless you hide TC it's perfectly clear in the document.
Comment 4 stdedos 2020-02-24 09:33:36 UTC
(In reply to Heiko Tietze from comment #3)
> (In reply to stdedos from comment #2)
> > When 'Tracking Changes' is activated ... 
> > 
> > Expected Results:
> > A) All disabled operations are still visible wherever they are supposed to be
> 
> What "operations" exactly are disabled? Maybe an example is helpful.

Have you tried reading https://bugs.documentfoundation.org/show_bug.cgi?id=130838 ?

Please don't blame me for an "inactionable" ticket if you haven't bothered with half of it (which is really short, so, I don't understand how is that possible).
 
> > B) All disabled operations have some indication/explanation on "why" they
> > are disabled
> 
> Is this idea limited to TC?

No, for me it's a UX principle (not really a UI-er, though).
However, I don't know how far this practice has been applied - so I'll stick with what I have tried (and have an opinion about) instead.

> > C) There is a status icon showing that tracking changes are activated
> 
> Agreed, should be also indicated on the statusbar. However, you see TC
> toggled on in the dedicated toolbar and unless you hide TC it's perfectly
> clear in the document.

I haven't really configured LibreOffice that much. And, I can tell you it took 3 days timespan trying to figure out "why" I cannot delete sheets.

It is true, I didn't bother going https://help.libreoffice.org/6.4/en-US/text/scalc/01/02170000.html?DbPAR=CALC#bm_id3156424, which, I didn't know existed. I could clearly find Sheet>Delete Sheet option (so I thought I didn't need any "Help"), and I have used worksheets enough - I thought that there is nothing more to "deleting a sheet".

What you are talking about is probably what I've seen here https://bugs.documentfoundation.org/show_bug.cgi?id=130832#c2 (and thus reconsidered the original bug https://bugs.documentfoundation.org/show_bug.cgi?id=130832), but, I am confident enough that there wasn't anything to see. Of course, maybe the TC rendering was not that visible for me if it was e.g. a couple of cells with that visualization.

Also, on top of all of that, I believe you are making the assumption that I _activated_ TC, and I knew I was using it.
If so, you would be wrong. I have a bug open here for that https://bugs.documentfoundation.org/show_bug.cgi?id=130847 (on See also)
Comment 5 Cor Nouws 2020-02-27 13:50:17 UTC
(In reply to stdedos from comment #0)
> A) not hide options from here they are supposed to be
> B) add a tooltip "disabled because X"
> C) add a "tracking changes" status icon
> 
> It is enough disorienting that different Spreadsheet programs might have
> different options in different places; it is painful to hide some of them
> with no apparent reason.
Apparently some things do not work. Developer time/effort...
So it is useful to e.g. track adding a sheet. And OK, it cannot be removed.. so that should be explained.

So I changed the summary of this report. OK?
Comment 6 stdedos 2020-02-27 14:20:13 UTC
(In reply to Cor Nouws from comment #5)
> (In reply to stdedos from comment #0)
> > A) not hide options from here they are supposed to be
> > B) add a tooltip "disabled because X"
> > C) add a "tracking changes" status icon
> > 
> > It is enough disorienting that different Spreadsheet programs might have
> > different options in different places; it is painful to hide some of them
> > with no apparent reason.
> Apparently some things do not work. Developer time/effort...
> So it is useful to e.g. track adding a sheet. And OK, it cannot be removed..
> so that should be explained.

I am more interested that (a) "not hide options ..." and (b) somehow visually indicate "why" I cannot do a disabled action, e.g. raise an Error Message box sayng "Cannot remove sheet: tracking changes is active!".

Adding more text somewhere in Help will not make much difference, since there is already something there (as is indicated somewhere).

> So I changed the summary of this report. OK?

As long as we are saying the same thing, yes, everything is okay.
Comment 7 Cor Nouws 2020-02-28 21:50:54 UTC
(In reply to stdedos from comment #6)
> I am more interested that (a) "not hide options ..." and (b) somehow
> visually indicate "why" I cannot do a disabled action, e.g. raise an Error
> Message box sayng "Cannot remove sheet: tracking changes is active!".
Ah. In my experience options that are not valid, are greyed out (or hidden)..

> > So I changed the summary of this report. OK?
> 
> As long as we are saying the same thing, yes, everything is okay.
That's why I'm asking you, to be sure that I do understand you well :)
Comment 8 stdedos 2020-02-28 22:38:05 UTC
(In reply to Cor Nouws from comment #7)
> (In reply to stdedos from comment #6)
> > I am more interested that (a) "not hide options ..." and (b) somehow
> > visually indicate "why" I cannot do a disabled action, e.g. raise an Error
> > Message box sayng "Cannot remove sheet: tracking changes is active!".
> Ah. In my experience options that are not valid, are greyed out (or hidden)..

So, why can I not delete a sheet? Remember that:
1) https://bugs.documentfoundation.org/show_bug.cgi?id=130849 is a verified bug
2) https://bugs.documentfoundation.org/show_bug.cgi?id=130847 (description is complicated, but having verified [1] disambiguates it: Ctrl+Shift+C for activating tracking changes is "very close" to common shortcuts and can be activated "under the radar")
3) https://bugs.documentfoundation.org/show_bug.cgi?id=130843 is a bug to me (note that I have even mounted/grep-ed the xlsx archive)
4) And, I cannot see anything out of the ordinary (for some reason / you _may_ attribute this as my fault)
5) No "clear" indication that Tracking Changes mode is activated (this ticket, point C). I don't think I've hidden "something" that would have indicated to me that tracking changes are active (if somehow I can reset "everything" temporarily and try again, I can do it again. I have started in safe mode though already). I have "only" understood that Tracking Changes are active when I did https://bugs.documentfoundation.org/show_bug.cgi?id=130832 that.

(Maybe this applies to Move Sheets menu option also, I don't remember anymore)

Maybe it's my fault that I didn't search help for "Delete Sheet", again. I feel that I am "competent enough" user with spreadsheets, *and* I can find _some_ of the options grayed out - so, why would I look for help on "how" to delete sheets?

I don't know; it's my strong opinion that two so different functionalities shouldn't interact with each other "under the radar".
If you disable "Remove Filtering" because I haven't applied a Filter in the selection yet, I get it.

> > > So I changed the summary of this report. OK?
> > 
> > As long as we are saying the same thing, yes, everything is okay.
> That's why I'm asking you, to be sure that I do understand you well :)
Comment 9 Heiko Tietze 2020-07-27 13:50:00 UTC
No further input from the design team, removing the keyword now.
Comment 10 Timur 2020-10-19 07:45:54 UTC
*** Bug 137579 has been marked as a duplicate of this bug. ***